## org.apache.axis.components.image
Class JimiIO

    java.lang.Object
      org.apache.axis.components.image.JimiIO

All Implemented Interfaces:
  ImageIO

public class JimiIO
extends java.lang.Object
implements ImageIO

JIMI based Image I/O

Since:
  2.0
Author:
  Davanum Srinivas

Constructor Summary
`JimiIO()`

Method Summary
`java.awt.Image` `loadImage(java.io.InputStream in)` Load an Image.
`void` `saveImage(java.lang.String id, java.awt.Image image, java.io.OutputStream os)` Save an image.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JimiIO

    public JimiIO()

Method Detail

### saveImage

    public void saveImage(java.lang.String id,
                          java.awt.Image image,
                          java.io.OutputStream os)
                   throws java.lang.Exception

  Save an image.

  Specified by:
    `saveImage` in interface `ImageIO`
  Parameters:
    `id` - the mime-type of the format to save the image
    `image` - the image to save
    `os` - the output stream to write to
  Throws:
    `JimiException` - if an error prevents image encoding
    `java.lang.Exception` - if an error prevents image encoding

### loadImage

    public java.awt.Image loadImage(java.io.InputStream in)
                             throws java.lang.Exception

  Load an Image.

  Specified by:
    `loadImage` in interface `ImageIO`
  Parameters:
    `in` - the stream to load the image
  Returns:
    the Image
  Throws:
    `java.lang.Exception`

Copyright © 2005 Apache Web Services Project. All Rights Reserved.